//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_sedes(){

var parametros = {"accion":'sedes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#sedes").html(response);
                        cargar_periodos();
           }
        });
}

//-------------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
           }
        });
}

//-------------------------------------

function consulta_grados(){

document.getElementById('cursos1').innerHTML='';

var s=document.getElementById('sedes').value;
var p=document.getElementById('periodos').value;

if (s=='0'){
    alert("SELECCIONE SEDE");
    exit;
}

if (p=='0'){
    limpiar();
    exit;
}

var parametros = {"accion":'listado_grados',"sede":s};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        $("#grados").html(response);
           }
        });             
}

//--------------------------------------

function activar_grado(codigo){

var cd=document.getElementById(codigo).checked;

var parametros = {"accion":'activar_grado',"codigo":codigo,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}


//-------------------------------------

function consulta_cursos(){

//      var parametros = {"accion":'marcar_desmarcar_cursos',"estado":estado};
//        $.ajax({
//                data:  parametros,
//                url:   'consultas.php',
//                type:  'post'
//
//        });


//-----------------------------------------

var parametros = {"accion":'listado_cursos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        
                        if (response=="1")

                            document.getElementById('cursos1').innerHTML='';
                        else
                           $("#cursos1").html(response);
           }
        });
}


//--------------------------------------


function activar_curso(grado,curso){

var cd=document.getElementById(grado+"_"+curso).checked;


var parametros = {"accion":'activar_curso',"grado":grado,"curso":curso,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
}


//--------------------------------------

function retornar(){
 
   document.location.href="../menu.php";

}

//-------------------------------------
function limpiar(){

   document.getElementById('grados').innerHTML='';
   document.getElementById('cursos1').innerHTML='';
}

//--------------------------------------------------

function  marcar1(chk) {

    var padreDIV=chk;
    while( padreDIV.nodeType==1 && padreDIV.tagName.toUpperCase()!="DIV" )
        padreDIV=padreDIV.parentNode;
    //ahora que padreDIV es el DIV, cogeremos todos sus checkboxes
    var padreDIVinputs=padreDIV.getElementsByTagName("input");

    for(var i=0; i<padreDIVinputs.length; i++) {
        if( padreDIVinputs[i].getAttribute("type")=="checkbox" )
            padreDIVinputs[i].checked = chk.checked;
    }

     //-----------------------------------------------------------
      var estado=document.getElementById('casilla1').checked;

      var parametros = {"accion":'marcar_desmarcar_grados',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}

//--------------------------------------------------

function  marcar2(chk) {

    var padreDIV=chk;
    while( padreDIV.nodeType==1 && padreDIV.tagName.toUpperCase()!="DIV" )
        padreDIV=padreDIV.parentNode;
    //ahora que padreDIV es el DIV, cogeremos todos sus checkboxes
    var padreDIVinputs=padreDIV.getElementsByTagName("input");

    for(var i=0; i<padreDIVinputs.length; i++) {
        if( padreDIVinputs[i].getAttribute("type")=="checkbox" )
            padreDIVinputs[i].checked = chk.checked;
    }

     //-----------------------------------------------------------
      var estado=document.getElementById('casilla2').checked;

      var parametros = {"accion":'marcar_desmarcar_cursos',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}

//--------------------------------------------------

function  procesar_rendimiento() {

    var p=document.getElementById('periodos').value;

    if (p=='0'){
        alert("SELECCIONE PERIODO");
        exit;
    }
  
  var parametros = {"periodo":p};
    $.ajax({
            data:  parametros,
            url:   'procesar_rendimiento.php',
            type:  'post',
            success:function (response){
                   alert(response);
           }
    });

}